Skip to content

Retrieve my Profile Schema

Request

OAuth 2.0 scope:
  • okta.myAccount.profile.read

Retrieves the appropriate user profile schema for the caller's user type

Note: If a property's value isn't visible to an end user (because it's hidden or sensitive), then the property's definition is also hidden in the output of the MyAccount API.

Headers
Acceptstringrequired

Specifies the API version. Current version: 1.0.0

Example:application/json; okta-version=1.0.0
GET
/idp/myaccount/profile/schema
curl -i -X GET \
  https://okta-subdomain.pixtulate.com/idp/myaccount/profile/schema \
  -H 'Accept: application/json; okta-version=1.0.0'

Responses

OK

Bodyapplication/json;okta-version=1.0.0
propertiesobjectread-only

The properties defined in the user profile schema

Response
{ "properties": { "customBoolean": {}, "foo": {}, "login": {}, "mobilePhone": {}, "customInteger": {} }, "_links": { "self": {}, "user": {} } }